Skip to main content
GET
/
import
/
streams
List import streams
curl --request GET \
  --url https://api.prequel.co/import/streams \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "streams": [
      {
        "id": "<string>",
        "name": "<string>",
        "is_valid": true,
        "is_enabled": true,
        "destination_id": "<string>",
        "dataset_id": "<string>",
        "mappings": [
          {
            "field_type": "<string>",
            "target_field": "<string>",
            "column": {},
            "expression": {}
          }
        ],
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.